Bug 1310674 - Review Request: rubygem-github-linguist - GitHub Language detection
Review Request: rubygem-github-linguist - GitHub Language detection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 08:43 EST by Jiri Popelka
Modified: 2016-03-26 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 19:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2016-02-22 08:43:02 EST
Spec URL: https://jpopelka.fedorapeople.org/rubygem-github-linguist.spec
SRPM URL: https://jpopelka.fedorapeople.org/rubygem-github-linguist-4.7.5-1.fc23.src.rpm

Description: Library to detect blob languages, highlight code, ignore
binary files, suppress generated files in diffs, and generate language
breakdown graphs.

Fedora Account System Username: jpopelka
Comment 1 Jiri Popelka 2016-02-22 08:47:55 EST
For successful build(s) see
https://copr.fedorainfracloud.org/coprs/jpopelka/rubygem-github-linguist/builds/
Comment 2 Upstream Release Monitoring 2016-02-22 10:06:01 EST
jpopelka's scratch build of rubygem-github-linguist-4.7.5-1.fc23.src.rpm for f23-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13093541
Comment 4 Vít Ondruch 2016-02-26 09:04:47 EST
I'll take this for a review.
Comment 5 Vít Ondruch 2016-02-26 10:11:16 EST
As far as I can say, it would be worth of enabling the test suite. With little effort, I was able to achieve this test result:

914 runs, 9700 assertions, 3 failures, 16 errors, 1 skips

This gives higher confidence in functionality of linguist then no test suite.
Comment 6 Jiri Popelka 2016-02-29 07:00:55 EST
How should I handle the missing dependencies (for tests) ? Do I need to package them or is there other option ?
Comment 7 Upstream Release Monitoring 2016-03-02 12:19:21 EST
jpopelka's scratch build of rubygem-github-linguist-4.7.6-2.fc23.src.rpm for f23-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13202610
Comment 9 Vít Ondruch 2016-03-04 11:39:23 EST
First of all, thank you for enabling most parts of the test suite. Great job!

A few random notes:

* Source1 comments
  - I would suggest to convert the vim commentary into seds, that would make it
    more or less executable. And since I am at it, if you moved these into
    %check section, they would really be executable. Not a blocker however.

* The test result grep
  - You are checking just for failures, but I would suggest to check also for
    errors, e.g. currently to grep for "3 failures, 14 errors"
  - The comment could be more to the point, why there are still some failures.
  - Neither of this is blocker.

* Changelog entries
  - The changelog entries could be more descriptive probably ...

* rpmlint
  - rplint complains about one file:

    rubygem-github-linguist.noarch: E: script-without-shebang
      /usr/share/gems/gems/github-linguist-4.7.6/lib/linguist/languages.yml

* BR: npm
  - I don't think that you need the npm dependency. I just tested the build
    without NPM and it just passes.


Since these are just minor nits, I am going to APPROVE the package, but please fix the issues prior import.
Comment 10 Gwyn Ciesla 2016-03-04 13:09:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-github-linguist
Comment 11 Jiri Popelka 2016-03-04 15:23:54 EST
Thanks Víťo,
I've tried to address most of the issues.

http://pkgs.fedoraproject.org/cgit/rpms/rubygem-github-linguist.git/tree/rubygem-github-linguist.spec
Comment 12 Fedora Update System 2016-03-10 09:00:06 EST
rubygem-github-linguist-4.7.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90c6327748
Comment 13 Fedora Update System 2016-03-10 09:00:13 EST
rubygem-github-linguist-4.7.6-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87ee5141ef
Comment 14 Fedora Update System 2016-03-11 14:27:32 EST
rubygem-github-linguist-4.7.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87ee5141ef
Comment 15 Fedora Update System 2016-03-12 12:26:07 EST
rubygem-github-linguist-4.7.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90c6327748
Comment 16 Fedora Update System 2016-03-21 19:54:24 EDT
rubygem-github-linguist-4.7.6-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-26 14:13:37 EDT
rubygem-github-linguist-4.7.6-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.